:root {
  --info-scroll-width: 768px;
  --info-scroll-copy-text: calc(var(--info-scroll-width) * 0.01375);
  --info-scroll-heading-text: calc(var(--info-scroll-width) * 0.01375);
  --info-scroll-button-padding: calc(var(--info-scroll-width) * 0.005);
  --info-scroll-button-icon-width: calc(var(--info-scroll-width) * 0.008);
  --info-scroll-sensor-width: calc(var(--info-scroll-width) * 0.085);
  --info-scroll-text-width: calc(var(--info-scroll-width) * 0.21);
  --info-scroll-text-width-BMI270: calc(var(--info-scroll-width) * 0.15);
  --info-scroll-text-width-BMM350: calc(var(--info-scroll-width) * 0.22);
}
@media only screen and (min-width: 1000px) {
  :root {
    --info-scroll-width: 840px;
  }
}
@media only screen and (min-width: 1200px) {
  :root {
    --info-scroll-width: 1000px;
  }
}
@media only screen and (min-width: 1440px) {
  :root {
    --info-scroll-width: 1200px;
  }
}
@media only screen and (min-width: 1640px) {
  :root {
    --info-scroll-width: 1400px;
  }
}
html {
  scroll-behavior: auto;
}
.info-scroll-video {
  display: none;
  width: 100%;
}
@media only screen and (max-width: 767px) {
  .info-scroll-video {
    display: block;
  }
}
.scrollmagic-pin-spacer {
  display: flex;
  justify-content: center;
}
@media only screen and (max-width: 767px) {
  .scrollmagic-pin-spacer {
    display: none !important;
  }
}
canvas {
  border: 4px solid white;
  box-sizing: border-box;
  position: relative;
  width: 100%;
}
canvas:after {
  content: " ";
  position: absolute;
  top: 0;
  z-index: 99;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #ff4500;
}
.info-scroll-container {
  background-color: #fff;
  position: relative;
  border: 4px solid white;
  box-sizing: border-box;
  transform-origin: center 150px;
  margin: 0 auto !important;
  max-width: var(--info-scroll-width);
}
@media only screen and (max-width: 767px) {
  .info-scroll-container {
    display: none;
  }
}
.info-scroll-container--active {
  left: 50% !important;
  transform: translate(-50%);
}
.info-scroll-sensor {
  width: var(--info-scroll-sensor-width);
  position: absolute;
  transform: translate(-50%) translateY(-50%) scale(0.1);
  opacity: 0;
  pointer-events: none;
}
.info-scroll-sensor--BMA530 {
  width: calc(var(--info-scroll-sensor-width) * 1.2);
  left: 31%;
  top: 70%;
}
.info-scroll-sensor--BMM350 {
  width: calc(var(--info-scroll-sensor-width) * 2.5);
  left: 36.8%;
  top: 44.4%;
}
.info-scroll-sensor--BMI270 {
  width: calc(var(--info-scroll-sensor-width) * 1.2);
  left: 23.2%;
  top: 18.5%;
}
.info-scroll-sensor--BHI360 {
  left: 57.7%;
  top: 11.8%;
}
.info-scroll-sensor--BMP585 {
  left: 72.4%;
  top: 16.4%;
}
.info-scroll-sensor--BME690 {
  width: calc(var(--info-scroll-sensor-width) * 1.2);
  left: 63.5%;
  top: 41.9%;
}
.info-scroll-sensor--BMV080 {
  width: calc(var(--info-scroll-sensor-width) * 1.1);
  left: 71.9%;
  top: 67%;
}
.info-scroll-sensor-container {
  cursor: pointer;
}
.info-scroll-sensor-container .info-scroll-sensor {
  transition: all 0.25s ease;
}
.info-scroll-sensor-container:hover .info-scroll-sensor {
  transform: translate(-50%) translateY(-50%) scale(1.1) !important;
}
.info-scroll-sensor-container:hover .info-scroll-text__header {
  background-color: var(--major-accent__enabled__fill__hovered);
}
.info-scroll-text {
  display: flex;
  flex-direction: column;
  width: var(--info-scroll-text-width);
  justify-content: flex-start;
  position: absolute;
  z-index: 2;
  text-align: right;
  align-items: flex-end;
  transform: translateY(-20px);
  opacity: 0;
  pointer-events: none;
}
.info-scroll-text--right {
  text-align: left;
  align-items: flex-start;
}
.info-scroll-text__header {
  background-color: #007bc0;
  font-weight: 700;
  font-size: var(--info-scroll-copy-text);
  color: #fff;
  padding: calc(var(--info-scroll-button-padding) * 0.5)
    var(--info-scroll-button-padding);
  display: flex;
  align-items: center;
  gap: var(--info-scroll-button-padding);
  margin-bottom: var(--info-scroll-button-padding);
  transition: all 0.25s ease;
}
.info-scroll-text__header svg,
.info-scroll-text__header img {
  width: var(--info-scroll-button-icon-width);
}
.info-scroll-text__copy {
  color: #323232;
  font-size: var(--info-scroll-heading-text);
  margin: 0;
  font-weight: 400;
  line-height: 1.2;
}
.info-scroll-text--BMA530 {
  left: 4%;
  top: 61.7%;
}
.info-scroll-text--BMM350 {
  left: 9%;
  top: 34%;
  width: var(--info-scroll-text-width-BMM350);
}
.info-scroll-text--BMI270 {
  left: 2.5%;
  top: 10%;
  width: var(--info-scroll-text-width-BMI270);
}
.info-scroll-text--BHI360 {
  left: 29%;
  top: 2%;
}
.info-scroll-text--BMP585 {
  left: 78.4%;
  top: 9%;
}
.info-scroll-text--BME690 {
  left: 69%;
  top: 33%;
}
.info-scroll-text--BMV080 {
  left: 77%;
  top: 58%;
}
